# Rollback Bet Cancel

A `Rollback_bet_cancel` message is sent when a previous bet cancel should be undone (if possible). This may happen, for example, if a Betradar operator mistakenly cancels the wrong market (resulting in a `bet_cancel` being sent) during the game; before realizing the mistake.

**XML Example**

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<rollback_bet_cancel start_time="1540982919934" end_time="1540983465000" product="1" event_id="sr:match:15025879" timestamp="1540991811722">
  <market id="18" specifiers="total=4.5"/>
</rollback_bet_cancel>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/data-and-features/messages/event/rollback-bet-cancel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
